body {
	height: 100vh;
	display: flex;
	flex-direction: column;
	margin: 0px;
	background: url("images/linen.jpg") repeat scroll 0% 0% rgb(209, 213, 216);
	color: #000;
	font-family: "Lucida Grande",Verdana,Arial,Helvetica,sans-serif;
}
.content-centered {
	flex: 1;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.content {
	flex: 1;
}
.footer {
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 20px;
	text-align: center;
	font-size: 11px;
}

#logout-button {
	float: right;
}

.login-form, .dashboard-node, .dashboard-unit {
	padding: 10px;
	border-radius: 12px;
	box-shadow: 2px 2px 5px rgba(0,0,0,0.4);
}
.login-form {
	width: 300px;
	padding: 15px 20px;
	background-color: #F0F0F0;
	text-align: right;
}
.login-form input {
	margin-bottom: 4px;
}
.login-form button {
	width: 100%;
	margin-top: 20px;
}
.dashboard-node {
	width: 90%;
	margin-left: auto;
	margin-right: auto;
	margin-top: 20px;
	margin-bottom: 20px;
	background-color: #D9D9D9;
}
.dashboard-node > p {
	margin: 5px;
	font-size: 20px;
	font-weight: bold;
	text-align: center;
}
.dashboard-unit {
	margin-left: 20px;
	margin-right: 20px;
	margin-top: 10px;
	margin-bottom: 10px;
	background-color: #F0F0F0;
}
.dashboard-unit > p {
	margin: 5px;
	font-weight: bold;
	text-align: left;
}

.dashboard-input, .dashboard-reading, .dashboard-state {
	display: inline-block;
	background-color: #FFF;
	border: 1px solid #AAA;
}
.dashboard-input, .dashboard-reading {
	margin: 2px;
	padding: 5px;
	cursor: pointer;
	border-radius: 6px;
}
.dashboard-input:hover, .dashboard-reading:hover {
	border: 1px solid #000;
}
.dashboard-state {
	width: 10px;
	height: 10px;
	margin-right: 5px;
	vertical-align: middle;
	position: relative;
	top: -1px;
	border-radius: 50%;
}

.dashboard-high {
	background-color: #FBB;
}
.dashboard-low {
	background-color: #9F9;
}
.dashboard-muted-high {
	background: repeating-linear-gradient(135deg, #FBB, #FBB 10px, #FFF 10px, #FFF 20px);
}
.dashboard-muted-low {
	background: repeating-linear-gradient(135deg, #9F9, #9F9 10px, #FFF 10px, #FFF 20px);
}

.dashboard-table {
	width: 100%;
	border-collapse:collapse;
}
.dashboard-table td {
	padding: 2px 6px;
	border: 1px solid #AAA;
}
.dashboard-table tr:nth-child(odd) {
	background-color: #EEE;
}
.dashboard-table tr:nth-child(even) {
	background-color: #FFF;
}
.dashboard-table button {
	min-height: 20px;
}
